# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global pypiname pluggy

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-pluggy
Version:        0.3.0
Release:        2%{?dist}
Summary:        The plugin manager stripped of pytest specific details.

License:        MIT
URL:            https://github.com/hpk42/pluggy
Source0:        http://pypi.python.org/packages/source/t/%{pypiname}/%{pypiname}-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if %{with python3}
BuildRequires:  python3-devel
%endif # with python3

%description


%if %{with python3}
%package -n python3-%{pypiname}
Summary:  The plugin manager stripped of pytest specific details.

%description -n python3-%{pypiname}
The plugin manager stripped of pytest specific details.

%endif # with python3


%prep
%setup -qc
mv %{pypiname}-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build
popd

%if %{with python3}
pushd python3
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with python3


%install
rm -rf $RPM_BUILD_ROOT
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd


%check
pushd python2
%{__python2} setup.py test
popd

%if %{with python3}
pushd python3
%{__python2} setup.py test
popd
%endif


%files
%{python_sitelib}/%{pypiname}.py
%{python_sitelib}/%{pypiname}.pyc
%{python_sitelib}/%{pypiname}.pyo
%{python_sitelib}/%{pypiname}-%{version}-py2.?.egg-info

%if %{with python3}
%{python3_sitelib}/%{pypiname}.py
%{python3_sitelib}/__pycache__/%{pypiname}.cpython-34.pyc
%{python3_sitelib}/__pycache__/%{pypiname}.cpython-34.pyo
%{python3_sitelib}/%{pypiname}-%{version}-py3.4.egg-info/PKG-INFO
%{python3_sitelib}/%{pypiname}-%{version}-py3.4.egg-info/SOURCES.txt
%{python3_sitelib}/%{pypiname}-%{version}-py3.4.egg-info/dependency_links.txt
%{python3_sitelib}/%{pypiname}-%{version}-py3.4.egg-info/top_level.txt
%endif # with python3

%doc 
#%{_bindir}/%{pypiname}
#%{_bindir}/%{pypiname}-quickstart




%changelog
* Mon Aug 17 2015 Arie Bregman <abregman@redhat.com> - 0.3.0-2
- Added python-setuptools to build requirements

* Fri Aug 14 2015 Adam Young
- 
